#include <stdio.h>
#include <stdlib.h>
#include <assert.h>

#include "sdlkit.h"
#include "sdlkit_2d.h"

#include "vec.h"
#include "mat44.h"

// conversion degres vers radians
float radians( float d )
{
    return d * 0.0174532925f;
}

/* fonction a modifier */
void display( void )
{
    /* obligatoire : preparation de l'affichage */
    display_begin();
    
        /* exemple d'affichages ... */
        color_display(255, 0, 0);   // choisir une couleur (rouge)

        /* afficher un point (en rouge) */
        point_display(100, 100);
        point_display(200, 200);

        /* changer la couleur des affichages suivants (en jaune) */
        color_display(255, 255, 0);

        /* tracer une ligne (en jaune) */
        line_display(100, 100, 200, 200);
    
        /* tracer un triangle (en vert) */
        color_display(0, 200, 0);
        triangle_display(200, 150, 400, 250, 300, 350);

        color_display(255, 0, 0);
        point_display(200, 150);
        point_display(400, 250);
        point_display(300, 350);
    
    /* obligatoire : realise l'affichage */
    display_end();
}

/* gestion du clavier
 */
void keyboard( void )
{
    SDLMod mod;
    unsigned char *keys;
    
    mod= SDL_GetModState();
    keys= sdlkit_get_keys();
    
    if(keys[SDLK_q] || keys[SDLK_ESCAPE])
        sdlkit_send_stop();
}


int main( void )
{
    /* creation de la fenetre d'affichage de 600 par 600 */
    sdlkit_init(600, 600);

    /* tant que la fenetre existe */
    while(!sdlkit_stop())
    {
        sdlkit_events();        // traiter les evenements (systemes)
        keyboard();             // interaction avec l'application
        sdlkit_anime();         // gestion du temps
        
        // affichage
        display();
    }
   
    /* ferme la fenetre de rendu */
    sdlkit_quit();
    return 0;
}

